Modify

Opened 6 years ago

Closed 6 years ago

#12250 closed defect (fixed)

Error when loading session containing layer converted from .gpx

Reported by: Math1985 Owned by: Math1985
Priority: normal Milestone: 15.12
Component: Core Version:
Keywords: session gpx Cc:

Description

When you are opening a prior saved session that contains a layer that is a gpx converted to data layer, JOSM gives an error and does not open the layer.

Steps to reproduce:

  • Open .gpx file
  • Rightclick convert to data layer
  • File - Save session as
  • Close and reopen JOSM
  • Open session

Now you get the following error:
Error loading layer
Could not load layer 1 'Converted from: Markers from favourites.gpx'.
Error is: File "/home/matthijs/tmp/favourites.gpx.osm" does not exist

Attachments (0)

Change History (6)

comment:1 Changed 6 years ago by Don-vip

Owner: changed from team to Math1985
Status: newneedinfo

can you please post your status report as per newticket? Thanks.

comment:2 Changed 6 years ago by Math1985

Sure:

Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2015-10-30 02:32:24
Last Changed Author: Don-vip
Revision: 8969
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Relative URL: ^/trunk
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2015-10-29 22:15:23 +0100 (Thu, 29 Oct 2015)
Last Changed Rev: 8969

Identification: JOSM/1.5 (8969 en_GB) Linux Mint 17.1 Rebecca
Memory Usage: 287 MB / 853 MB (27 MB allocated, but free)
Java version: 1.7.0_91, Oracle Corporation, OpenJDK 64-Bit Server VM
Java package: openjdk-7-jre:amd64-7u91-2.6.3-0ubuntu0.14.04.1

Plugins:
- FastDraw (31772)
- HouseNumberTaggingTool (31772)
- buildings_tools (31772)
- continuosDownload (1446070193)
- reverter (31772)
- terracer (31772)
- todo (29154)
- touchscreenhelper (31772)

Last errors/warnings:
- W: Cannot start IPv4 remotecontrol server on port 8111: Address already in use
- W: Cannot start IPv6 remotecontrol server on port 8111: Address already in use
- E: java.io.IOException: File "/tmp/favourites.gpx.osm" does not exist. Cause: java.io.FileNotFoundException: /tmp/favourites.gpx.osm (No such file or directory)
- E: java.io.IOException: File "/tmp/favourites.gpx.osm" does not exist. Cause: java.io.FileNotFoundException: /tmp/favourites.gpx.osm (No such file or directory)

(In this case I was running two JOSM versions at the same time causing the remotecontrol errors, but that's not relevant for this bug.)

comment:3 Changed 6 years ago by Don-vip

r8969 is 2 months old, can you please try with latest (r9206+)?

comment:4 Changed 6 years ago by Math1985

Confirmed in r9206:

URL:http://josm.openstreetmap.de/svn/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2015-12-28 22:00:20 +0100 (Mon, 28 Dec 2015)
Build-Date:2015-12-28 21:05:24
Revision:9206
Relative:URL: ^/trunk

Identification: JOSM/1.5 (9206 en_GB) Linux Mint 17.1 Rebecca
Memory Usage: 284 MB / 853 MB (88 MB allocated, but free)
Java version: 1.7.0_91, Oracle Corporation, OpenJDK 64-Bit Server VM
Java package: openjdk-7-jre:amd64-7u91-2.6.3-0ubuntu0.14.04.1

Plugins:
- FastDraw (31772)
- HouseNumberTaggingTool (31772)
- buildings_tools (31772)
- continuosDownload (1446070193)
- reverter (31772)
- terracer (31772)
- todo (29154)
- touchscreenhelper (31772)

Last errors/warnings:
- E: java.io.IOException: File "/tmp/favourites.gpx.osm" does not exist. Cause: java.io.FileNotFoundException: /tmp/favourites.gpx.osm (No such file or directory)

comment:5 Changed 6 years ago by Don-vip

Keywords: session gpx added
Milestone: 15.12

OK reproduced, thanks.

comment:6 Changed 6 years ago by Don-vip

Resolution: fixed
Status: needinfoclosed

In 9215/josm:

fix #12250 - Error when loading session containing layer converted from .gpx

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain Math1985.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.